Skip to main content
DELETE
/
user
/
address
/
{addressId}
Delete a shipping address
curl --request DELETE \
  --url https://store.salesive.com/api/v1/user/address/{addressId} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-shop-id: <api-key>'
{}

Request

DELETE /user/address/{addressId}
Authorization: Bearer {{token}}
x-shop-id: {{shopId}}

Path parameters

ParameterTypeDescription
addressIdstringThe id of the address to delete.

Successful response

{
    "status": 200,
    "success": true,
    "message": "Address deleted successfully",
    "data": {}
}

Error responses

{
    "status": 400,
    "success": false,
    "message": "\"addressId\" length must be 24 characters long",
    "data": {}
}
{
    "status": 404,
    "success": false,
    "message": "Address not found or unauthorized",
    "data": {}
}

Authorizations

Authorization
string
header
required

JWT issued by the Salesive Store API for authenticated shoppers.

x-shop-id
string
header
required

Optional storefront identifier sent as a header to scope responses to a specific shop. Try It requests remember this value once provided.

Headers

x-shop-id
string

Optional identifier that scopes responses to a specific storefront when the referer cannot be inferred.

Path Parameters

addressId
string
required

Response

Address deleted.

The response is of type object.